# Class: PoweredUP

## PoweredUP

#### new PoweredUP()

  Source:
    - poweredup.js, line 44

### Extends

- EventEmitter

### Methods

#### getConnectedHubByUUID(uuid)

  Retrieve a Powered UP Hub by UUID.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `uuid` | string |

  Source:
    - poweredup.js, line 90

  ##### Returns:

  Type
    Hub | null

#### getConnectedHubs()

  Retrieve a list of Powered UP Hubs.

  Source:
    - poweredup.js, line 82

  ##### Returns:

  Type
    Array.<Hub>

#### getConnectedHubsByName(name)

  Retrieve a list of Powered UP Hub by name.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string |

  Source:
    - poweredup.js, line 99

  ##### Returns:

  Type
    Array.<Hub>

#### scan()

  Begin scanning for Powered UP Hub devices.

  Source:
    - poweredup.js, line 55

#### stop()

  Stop scanning for Powered UP Hub devices.

  Source:
    - poweredup.js, line 70

### Events

#### discover

  Emits when a Powered UP Hub device is found.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `hub` | WeDo2SmartHub | BoostMoveHub | PUPHub | PUPRemote | DuploTrainBase |

  Source:
    - poweredup.js, line 146

#### Search results